Read a dynamic MCP client registration
curl --request GET \
--url https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paywithlocus.com/api/credits/mcp/oauth/register/{clientId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_name": "<string>",
"application_type": "native",
"redirect_uris": [
"<string>"
],
"grant_types": [
"authorization_code"
],
"response_types": [
"code"
],
"token_endpoint_auth_method": "none",
"client_id": "<string>",
"client_id_issued_at": 123,
"registration_client_uri": "<string>",
"client_uri": "<string>",
"logo_uri": "<string>",
"registration_access_token": "<string>"
}MCP
Read a dynamic MCP client registration
GET
/
credits
/
mcp
/
oauth
/
register
/
{clientId}
Read a dynamic MCP client registration
Authorizations
Dynamic-client registration access token returned once when the MCP OAuth client is created. It remains valid only for that client's registration management URI.
Path Parameters
Response
Current registration metadata
- Option 1
- Option 2
- Option 3
Maximum string length:
120Available options:
native, web Required and non-empty when grant_types contains authorization_code; may be empty for a device-only client.
Maximum array length:
10Must contain authorization_code or the device-code grant. refresh_token may accompany either.
Required array length:
1 - 3 elementsAvailable options:
authorization_code, refresh_token, urn:ietf:params:oauth:grant-type:device_code Exactly ["code"] for authorization_code clients and [] for device-only clients.
Maximum array length:
1Allowed value:
"code"Allowed value:
"none"Returned only when the client is created; show and store it once.